cacti issues after update.

Anything that you think should be in Cacti.

Moderators: Moderators, Developers

Post Reply
Author
Message
romstation
Posts: 7
Joined: Thu Jun 21, 2018 12:36 pm

cacti issues after update.

#1 Post by romstation » Thu Jun 21, 2018 12:53 pm

Hello Everyone, i'm new on cacti forum,

I upgraded my cacti version 0.8.8 to version 1.1.19 but now i have this error in log menu

2018-06-21 18:58:08 - CMDPHP PHP ERROR WARNING Backtrace: (/clog.php: 27 include)(/include/auth.php: 27 include)(/include/global.php: 322 include_once)(/include/global_arrays.php: 1142 date)(CactiErrorHandler)(/lib/functions.php: 4416 cacti_debug_backtrace)
2018-06-21 18:58:08 - ERROR PHP : date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Africa/Brazzaville' for 'WAT/1.0/no DST' instead in file: /usr/share/cacti/include/global_arrays.php on line: 1142
2018-06-21 18:58:08 - CMDPHP PHP ERROR WARNING Backtrace: (/clog.php: 27 include)(/include/auth.php: 27 include)(/include/global.php: 322 include_once)(/include/global_arrays.php: 1142 strtotime)(CactiErrorHandler)(/lib/functions.php: 4416 cacti_debug_backtrace)
2018-06-21 18:58:08 - ERROR PHP : strtotime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Africa/Brazzaville' for 'WAT/1.0/no DST' instead in file: /usr/share/cacti/include/global_arrays.php on line: 1142

what can i do to solve this error ???
Thks for your support.

cigamit
Developer
Posts: 2785
Joined: Thu Apr 07, 2005 3:29 pm
Location: B/CS Texas
Contact:

Re: cacti issues after update.

#2 Post by cigamit » Thu Jun 21, 2018 1:10 pm

Edit your PHP.ini and set the timezone parameter to a proper timezone.

romstation
Posts: 7
Joined: Thu Jun 21, 2018 12:36 pm

Re: cacti issues after update.

#3 Post by romstation » Fri Jun 22, 2018 2:59 am

Thanks for your reaction.

I applied the changes as you recommended and now the errors are no more displayed. But i have this warning

POLLER: Poller[1] WARNING: Invalid Response(s), Errors[1] Device[My_device_hostname] Graphs[] DS[1275]

what does it means ?

netniV
Cacti Guru User
Posts: 2978
Joined: Sun Aug 27, 2017 12:05 am

Re: cacti issues after update.

#4 Post by netniV » Fri Jun 22, 2018 4:57 am

That line looks strange because there is a datasource but no graph associated to it (or at least no name).

Invalid response can mean that either the device took too long to respond, has the wrong hostname, or is not configured to respond to SNMP (assumng that the datasource is an SNMP datasource).

romstation
Posts: 7
Joined: Thu Jun 21, 2018 12:36 pm

Re: cacti issues after update.

#5 Post by romstation » Sun Jun 24, 2018 6:06 am

curiously, I have all the graphs associated to this equipment in the graph menu.

Post Reply